---
references:
- id: BeniaguevSingle2021
  accessed:
    - year: 2021
      month: 9
      day: 25
  author:
    - family: Beniaguev
      given: David
    - family: Segev
      given: Idan
    - family: London
      given: Michael
  citation-key: BeniaguevSingle2021
  container-title: Neuron
  container-title-short: Neuron
  DOI: 10.1016/j.neuron.2021.07.002
  ISSN: 0896-6273
  issue: '17'
  issued:
    - year: 2021
      month: 9
      day: 1
  language: en
  page: 2727-2739.e3
  title: Single cortical neurons as deep artificial neural networks
  type: article-journal
  volume: '109'

- id: DabagiaAssemblies2022
  accessed:
    - year: 2023
      month: 10
      day: 2
  author:
    - family: Dabagia
      given: Max
    - family: Vempala
      given: Santosh S.
    - family: Papadimitriou
      given: Christos
  citation-key: DabagiaAssemblies2022
  container-title: Proceedings of Thirty Fifth Conference on Learning Theory
  event-title: Conference on Learning Theory
  ISSN: 2640-3498
  issued:
    - year: 2022
      month: 6
      day: 28
  language: en
  page: 3685-3717
  publisher: PMLR
  title: Assemblies of neurons learn to classify well-separated distributions
  type: paper-conference
  URL: http://arxiv.org/abs/2110.03171

- id: DabagiaComputation2023
  accessed:
    - year: 2023
      month: 10
      day: 2
  author:
    - family: Dabagia
      given: Max
    - family: Papadimitriou
      given: Christos H.
    - family: Vempala
      given: Santosh S.
  citation-key: DabagiaComputation2023
  issued:
    - year: 2023
      month: 6
      day: 6
  language: en
  number: arXiv:2306.03812
  publisher: arXiv
  title: Computation with Sequences in the Brain
  type: article
  URL: http://arxiv.org/abs/2306.03812

- id: EberhartNew1995
  author:
    - family: Eberhart
      given: R
    - family: Kennedy
      given: J
  citation-key: EberhartNew1995
  container-title: >-
    Proceedings of the sixth international symposium on micro machine and human
    science
  event-title: >-
    Micro Machine and Human Science, 1995. MHS'95., Proceedings of the Sixth
    International Symposium on
  issued:
    - year: 1995
  page: 39-43
  title: A new optimizer using particle swarm theory
  type: paper-conference
  URL: http://www.ppgia.pucpr.br/~alceu/mestrado/aula3/PSO_2.pdf
  volume: '1'

- id: FloreanoBioInspired2008
  author:
    - family: Floreano
      given: Dario
    - family: Mattiussi
      given: Claudio
  citation-key: FloreanoBioInspired2008
  ISBN: 0-262-06271-2
  issued:
    - year: 2008
  publisher: The MIT Press
  title: >-
    Bio-Inspired Artificial Intelligence: Theories, Methods, and Technologies
    (Intelligent Robotics and Autonomous Agents)
  type: book

- id: HassonDirect2020
  accessed:
    - year: 2020
      month: 6
      day: 25
  author:
    - family: Hasson
      given: Uri
    - family: Nastase
      given: Samuel A.
    - family: Goldstein
      given: Ariel
  citation-key: HassonDirect2020
  container-title: Neuron
  container-title-short: Neuron
  DOI: 10.1016/j.neuron.2019.12.002
  ISSN: 0896-6273
  issue: '3'
  issued:
    - year: 2020
      month: 2
      day: 5
  language: en
  page: 416-434
  publisher: Cold Spring Harbor Laboratory
  section: New Results
  title: >-
    Direct Fit to Nature: An Evolutionary Perspective on Biological and
    Artificial Neural Networks
  type: article-journal
  URL: https://www.biorxiv.org/content/10.1101/764258v1
  volume: '105'

- id: HintonForwardForward
  author:
    - family: Hinton
      given: Geoffrey
  citation-key: HintonForwardForward
  language: en
  page: '17'
  title: 'The Forward-Forward Algorithm: Some Preliminary Investigations'
  type: article-journal
  URL: https://www.cs.toronto.edu/~hinton/FFA13.pdf

- id: KennedyParticle1995
  author:
    - family: Kennedy
      given: James
    - family: Eberhart
      given: R
  citation-key: KennedyParticle1995
  DOI: 10.1109/ICNN.1995.488968
  event-title: Neural Networks, 1995. Proceedings., IEEE International Conference on
  issued:
    - year: 1995
  page: 1942-1948
  title: Particle swarm optimization
  type: paper-conference
  volume: '4'

- id: MitropolskyBiologically2021
  accessed:
    - year: 2023
      month: 10
      day: 2
  author:
    - family: Mitropolsky
      given: Daniel
    - family: Collins
      given: Michael J.
    - family: Papadimitriou
      given: Christos H.
  citation-key: MitropolskyBiologically2021
  DOI: 10.1162/tacl_a_00432
  event-place: Cambridge, MA
  issued:
    - year: 2021
  publisher: MIT Press
  publisher-place: Cambridge, MA
  title: A Biologically Plausible Parser
  type: article
  URL: http://arxiv.org/abs/2108.02189

- id: OrorbiaPredictive2023
  accessed:
    - year: 2023
      month: 1
      day: 9
  author:
    - family: Ororbia
      given: Alexander
    - family: Mali
      given: Ankur
  citation-key: OrorbiaPredictive2023
  DOI: 10.48550/ARXIV.2301.01452
  issued:
    - year: 2023
  publisher: arXiv
  title: The Predictive Forward-Forward Algorithm
  type: article-journal
  URL: https://arxiv.org/abs/2301.01452
  version: '1'

- id: PapadimitriouBrain2020
  author:
    - family: Papadimitriou
      given: Christos H.
    - family: Vempala
      given: Santosh S.
    - family: Mitropolsky
      given: Daniel
    - family: Collins
      given: Michael
    - family: Maass
      given: Wolfgang
  citation-key: PapadimitriouBrain2020
  container-title: >-
    Proceedings of the National Academy of Sciences of the United States of
    America
  container-title-short: Proc Natl Acad Sci U S A
  DOI: 10.1073/pnas.2001893117
  ISSN: 1091-6490
  issue: '25'
  issued:
    - year: 2020
      month: 6
      day: 23
  language: eng
  page: 14464-14472
  PMCID: PMC7322080
  PMID: '32518114'
  title: Brain computation by assemblies of neurons
  type: article-journal
  volume: '117'

- id: PapadimitriouRandom2018
  accessed:
    - year: 2023
      month: 10
      day: 2
  author:
    - family: Papadimitriou
      given: Christos H.
    - family: Vempala
      given: Santosh S.
  citation-key: PapadimitriouRandom2018
  collection-title: Leibniz International Proceedings in Informatics (LIPIcs)
  container-title: 10th Innovations in Theoretical Computer Science Conference (ITCS 2019)
  DOI: 10.4230/LIPIcs.ITCS.2019.57
  editor:
    - family: Blum
      given: Avrim
  event-place: Dagstuhl, Germany
  ISBN: 978-3-95977-095-8
  ISSN: 1868-8969
  issued:
    - year: 2018
  page: 57:1–57:19
  publisher: Schloss Dagstuhl–Leibniz-Zentrum fuer Informatik
  publisher-place: Dagstuhl, Germany
  title: Random Projection in the Brain and Computation with Assemblies of Neurons
  type: paper-conference
  URL: http://drops.dagstuhl.de/opus/volltexte/2018/10150
  volume: '124'

- id: PorrForward2020
  accessed:
    - year: 2022
      month: 12
      day: 20
  author:
    - family: Porr
      given: Bernd
    - family: Miller
      given: Paul
  citation-key: PorrForward2020
  container-title: Adaptive Behavior
  DOI: 10.1177/1059712319851070
  ISSN: 1059-7123
  issue: '3'
  issued:
    - year: 2020
      month: 6
      day: 1
  language: en
  page: 181-194
  publisher: SAGE Publications Ltd STM
  title: Forward propagation closed loop learning
  type: article-journal
  volume: '28'

- id: RenScaling2022
  accessed:
    - year: 2022
      month: 12
      day: 5
  author:
    - family: Ren
      given: Mengye
    - family: Kornblith
      given: Simon
    - family: Liao
      given: Renjie
    - family: Hinton
      given: Geoffrey
  citation-key: RenScaling2022
  DOI: 10.48550/arXiv.2210.03310
  issued:
    - year: 2022
      month: 10
      day: 6
  number: arXiv:2210.03310
  publisher: arXiv
  title: Scaling Forward Gradient With Local Losses
  type: article
  URL: http://arxiv.org/abs/2210.03310

- id: StraszakIRLS2016
  accessed:
    - year: 2016
      month: 1
      day: 17
  author:
    - family: Straszak
      given: Damian
    - family: Vishnoi
      given: Nisheeth K.
  citation-key: StraszakIRLS2016
  container-title: arXiv:1601.02712 [cs, math, stat]
  issued:
    - year: 2016
      month: 1
      day: 11
  title: 'IRLS and Slime Mold: Equivalence and Convergence'
  type: article-journal
  URL: http://arxiv.org/abs/1601.02712

- id: VanchurinTheory2021
  accessed:
    - year: 2021
      month: 11
      day: 7
  author:
    - family: Vanchurin
      given: Vitaly
    - family: Wolf
      given: Yuri I.
    - family: Katsnelson
      given: Mikhail
    - family: Koonin
      given: Eugene V.
  citation-key: VanchurinTheory2021
  DOI: 10.1101/2021.11.03.466494
  issued:
    - year: 2021
      month: 11
      day: 5
  language: en
  page: 2021.11.03.466494
  publisher: Cold Spring Harbor Laboratory
  section: New Results
  title: Towards a Theory of Evolution as Multilevel Learning
  type: article
  URL: https://www.biorxiv.org/content/10.1101/2021.11.03.466494v1

- id: VenterParticle2002
  author:
    - family: Venter
      given: G
  citation-key: VenterParticle2002
  event-title: AIAA journal
  issued:
    - year: 2002
  title: Particle swarm optimization
  type: paper-conference
...
